bitel.billing.server.dialup.bean

## Class DialUpSession

- java.lang.Object
- - bitel.billing.server.call.bean.Session
  - - bitel.billing.server.dialup.bean.DialUpSession

- All Implemented Interfaces:
    AccountingSession

      public class DialUpSession
      extends Session

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `loginAccountTableName`
    `protected java.lang.String` | `sessionAccountTableName`
    `protected java.lang.String` | `sessionDetailTableName`
    `protected java.lang.String` | `sessionNetTableName`

    - ### Fields inherited from class bitel.billing.server.call.bean.Session

      `contract, fromNumber, logger, login, loginName, logRecordId, logSessionTableName, mid, requestLogRecordId, startTime, toNumber`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DialUpSession()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkAndCreateTables(java.sql.Connection con, DefaultServerSetup setup)` Передаем сюда setup, т.к это метод вызывается как из радиуса так и из сервера (переобсчет сессий )
    `long` | `getBytesIn()` Возвращает количество принятых байтов
    `long` | `getBytesOut()` Возвращает количество переданных байтов
    `java.lang.String` | `getRealm()` Возвращает реалм
    `java.util.Calendar` | `getStopTime()` Возвращает время окончания сессии
    `boolean` | `isFakeSession()` Проверяет, является ли сессия фиктивной
    `void` | `setBytesIn(long bytesIn)` Устанавливает количество принятых байтов
    `void` | `setBytesOut(long bytesOut)` Устанавливает количество переданных байтов
    `void` | `setFakeSession(boolean fakeConnection)` Устанавливает фиктивность сессии
    `void` | `setRealm(java.lang.String realm)` Устанавливает реалм
    `void` | `setStopTime(java.util.Calendar stopTime)` Устанавливает время окончания сессии

    - ### Methods inherited from class bitel.billing.server.call.bean.Session

      `addLogDebug, addLogError, addLogInfo, getContract, getFromNumber, getLogin, getLoginName, getLogMessage, getLogRecordId, getMid, getNasId, getNasID, getRequestLogRecordId, getServices, getStartTime, getToNumber, getUserName, setContract, setFromNumber, setLogin, setLoginName, setLogRecordId, setMid, setNasId, setNasID, setRequestLogRecordId, setStartTime, setToNumber, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sessionNetTableName

          protected java.lang.String sessionNetTableName

    - #### sessionAccountTableName

          protected java.lang.String sessionAccountTableName

    - #### loginAccountTableName

          protected java.lang.String loginAccountTableName

    - #### sessionDetailTableName

          protected java.lang.String sessionDetailTableName

  - ### Constructor Detail

    - #### DialUpSession

          public DialUpSession()

  - ### Method Detail

    - #### checkAndCreateTables

          public void checkAndCreateTables(java.sql.Connection con,
                                           DefaultServerSetup setup)

      Description copied from class: `Session`
      Передаем сюда setup, т.к это метод вызывается как из радиуса так и из сервера (переобсчет сессий )
      Overrides:
        `checkAndCreateTables` in class `Session`
      See Also:
        `Session.checkAndCreateTables(java.sql.Connection, ru.bitel.bgbilling.server.util.DefaultServerSetup)`

    - #### getBytesIn

          public long getBytesIn()

      Возвращает количество принятых байтов
      Returns:
        принятые байты

    - #### setBytesIn

          public void setBytesIn(long bytesIn)

      Устанавливает количество принятых байтов
      Parameters:
        `bytesIn` - принятые байты

    - #### getBytesOut

          public long getBytesOut()

      Возвращает количество переданных байтов
      Returns:
        переданные байты

    - #### setBytesOut

          public void setBytesOut(long bytesOut)

      Устанавливает количество переданных байтов
      Parameters:
        `bytesOut` - переданные байты

    - #### getStopTime

          public java.util.Calendar getStopTime()

      Возвращает время окончания сессии
      Returns:
        время окончания сессии

    - #### setStopTime

          public void setStopTime(java.util.Calendar stopTime)

      Устанавливает время окончания сессии
      Parameters:
        `stopTime` -

    - #### getRealm

          public java.lang.String getRealm()

      Возвращает реалм
      Returns:
        реалм

    - #### setRealm

          public void setRealm(java.lang.String realm)

      Устанавливает реалм
      Parameters:
        `realm` -

    - #### isFakeSession

          public boolean isFakeSession()

      Проверяет, является ли сессия фиктивной
      Returns:
        true, если является

    - #### setFakeSession

          public void setFakeSession(boolean fakeConnection)

      Устанавливает фиктивность сессии
      Parameters:
        `fakeConnection` - true, если фиктивная